"""`listools` is a Python 3 package of which provides utility functions for
dealing with lists in Python 3. `listools` supports Python version 3.5 and
newer. You can install it using `pip install listools`.

This package contains four modules: `flatools`, `iterz`, `listutils` and
`llogic`. All functions have a `__doc__` attribute with usage instructions.

Documentation is available at https://gilbertohasnofb.github.io/listools-docs/.

A pdf version of the documentation is also available in the `docs` directory.

Bugs can be reported to https://github.com/gilbertohasnofb/listools/issues.

This library is published under the MIT License.
"""

from . import flatools
from . import iterz
from . import llogic
from . import listutils

__author__ = "Gilberto Agostinho <gilbertohasnofb@gmail.com>"
__version__ = "2.3.0"
